Investors, warrants & staking
Get Investor Warrant Detail
Returns one bare warrant row by ID for a SUB_INVESTOR.
Not available to API keys.
curl --request GET \
--url 'https://api.toku.com/tga/get-investor-warrant-detail?warrantID=%3CwarrantID%3E' \
--header 'Authorization: Bearer <token>'{
"warrantID": "string",
"roleInOrgID": "string",
"warrantName": "string",
"investorEntityID": "string",
"warrantDescription": "string",
"warrantStatus": "DRAFT",
"warrantConfigurationID": "string",
"firmName": "string",
"amount": 0,
"price": 0,
"totalValue": 0,
"issueDate": "string",
"expirationDate": "string",
"lockupPeriodMonths": 0,
"lockupFrequencyType": "MONTHLY",
"unlockDateOverride": "string",
"agreementSignedAt": "string",
"exerciseNoticeTermsHash": "string",
"exerciseNoticeEnvelopeID": "string",
"exerciseNoticeEnvelopeCompletedAt": "string",
"exerciseNoticeSignedAt": "string",
"paidAt": "string",
"settledAt": "string",
"createdAt": "string",
"updatedAt": "string",
"legacyMigratedAt": "string",
"legacyModelID": 0,
"isSigned": true,
"isPaid": true,
"isExercised": true,
"isUnderLockup": true,
"isOffPlatform": true,
"isTerminated": true,
"warrantLabel": "string",
"documents": [
{
"supersededAt": "string",
"documentID": "string",
"roleInOrgID": "string",
"investorEntityID": "string",
"documentName": "string",
"documentDescription": "string",
"documentType": "WARRANT_AGREEMENT",
"fileID": "string",
"signedAt": "string",
"archivedAt": "string",
"createdAt": "string",
"updatedAt": "string",
"deletedAt": "string",
"grantID": "string",
"warrantID": "string",
"legacyMigratedAt": "string",
"legacyModelID": 0,
"visibleToRole": true,
"visibleToClientAdmin": true
}
],
"paymentTransfers": [
{
"paymentTransferID": "string",
"roleInOrgID": "string",
"investorEntityID": "string",
"warrantID": "string",
"paymentMethod": "WIRE_TRANSFER",
"amount": 0,
"name": "string",
"transactionID": "string",
"createdAt": "string",
"updatedAt": "string"
}
],
"tags": [
{
"warrantTagID": "string",
"name": "string",
"type": "geography",
"isActive": true,
"createdAt": "string",
"updatedAt": "string",
"roleInOrgID": "string",
"warrantID": "string"
}
],
"roleInOrg": {
"roleInOrgID": "string",
"orgID": "string",
"role": "string",
"person": {
"personID": "string",
"givenName": "string",
"familyName": "string",
"fullName": "string"
}
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
warrantIDstringrequiredResponse
200Successful response
warrantIDstringrequiredroleInOrgIDstringrequiredwarrantNamestringrequiredinvestorEntityIDstring | nullrequiredwarrantDescriptionstring | nullrequiredwarrantStatusstringrequiredAvailable options: DRAFT, AGREEMENT_SENT, AGREEMENT_SIGNED, EXERCISE_NOTICE_SENT, EXERCISE_NOTICE_SIGNED, EXERCISE_ELIGIBLE, PENDING_PAYMENT_VERIFICATION, PAID, IN_LOCKUP, SETTLED, PENDING_SETTLEMENT
warrantConfigurationIDstringrequiredfirmNamestring | nullrequiredamountnumberrequiredpricenumber | nullrequiredtotalValuenumber | nullrequiredissueDatestringrequiredexpirationDatestring | nullrequiredlockupPeriodMonthsinteger | nullrequiredlockupFrequencyTypestringrequiredAvailable options: MONTHLY, QUARTERLY, SEMIANNUALLY, YEARLY, CUSTOM, DAILY, WEEKLY
unlockDateOverridestring | nullrequiredagreementSignedAtstring | nullrequiredexerciseNoticeTermsHashstring | nullrequiredexerciseNoticeEnvelopeIDstring | nullrequiredexerciseNoticeEnvelopeCompletedAtstring | nullrequiredexerciseNoticeSignedAtstring | nullrequiredpaidAtstring | nullrequiredsettledAtstring | nullrequiredcreatedAtstringrequiredupdatedAtstringrequiredlegacyMigratedAtstring | nullrequiredlegacyModelIDinteger | nullrequiredisSignedboolean | nullrequiredisPaidboolean | nullrequiredisExercisedboolean | nullrequiredisUnderLockupboolean | nullrequiredisOffPlatformboolean | nullrequiredisTerminatedboolean | nullrequiredwarrantLabelstring | nullrequireddocumentsobject[]requiredShow child attributes
supersededAtstring | nullrequireddocumentIDstringrequiredroleInOrgIDstringrequiredinvestorEntityIDstring | nullrequireddocumentNamestringrequireddocumentDescriptionstring | nullrequireddocumentTypestringrequiredAvailable options: WARRANT_AGREEMENT, EXERCISE_NOTICE, PAYMENT_PROOF, GRANT_AGREEMENT, EIGHTY_THREE_B_ELECTION, EIGHTY_THREE_B_ELECTION_RECIEPT, RECIEPTS, SETTLEMENT_STATEMENT, SECTION_431_ELECTION_EMPLOYEE, SECTION_431_ELECTION_EMPLOYER, OTHER
fileIDstringrequiredsignedAtstring | nullrequiredarchivedAtstring | nullrequiredcreatedAtstringrequiredupdatedAtstringrequireddeletedAtstring | nullrequiredgrantIDstring | nullrequiredwarrantIDstring | nullrequiredlegacyMigratedAtstring | nullrequiredlegacyModelIDinteger | nullrequiredvisibleToRolebooleanrequiredvisibleToClientAdminbooleanrequiredpaymentTransfersobject[]requiredShow child attributes
paymentTransferIDstringrequiredroleInOrgIDstringrequiredinvestorEntityIDstring | nullrequiredwarrantIDstringrequiredpaymentMethodstringrequiredAvailable options: WIRE_TRANSFER, WALLET
amountnumberrequirednamestringrequiredtransactionIDstringrequiredcreatedAtstringrequiredupdatedAtstringrequiredtagsobject[]requiredShow child attributes
warrantTagIDstringrequirednamestringrequiredtypestringrequiredAvailable options: geography, cost_centre, custom
isActivebooleanrequiredcreatedAtstringrequiredupdatedAtstringrequiredroleInOrgIDstringrequiredwarrantIDstringrequiredroleInOrgobjectrequiredShow child attributes
roleInOrgIDstringrequiredorgIDstringrequiredrolestringrequiredpersonobjectrequiredShow child attributes
personIDstringrequiredgivenNamestringrequiredfamilyNamestringrequiredfullNamestringrequired